#ifndef _CRC32_H_  
  #define _CRC32_H_
  typedef unsigned long TCRC;
  TCRC __ICRC32(void);
  #define ICRC32 (__ICRC32())
  unsigned long CRC32(unsigned long crc, const unsigned char *buf, unsigned long len);
#endif